GuideLab API

Send invoice to Ariba via cXML

Build and transmit a cXML invoice to the configured SAP Ariba endpoint for the specified invoice. Requires organization manager access.

POST
/integrations/ariba/send-invoice

Build and transmit a cXML invoice to the configured SAP Ariba endpoint for the specified invoice. Requires organization manager access.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/integrations/ariba/send-invoice" \  -H "Content-Type: application/json" \  -d '{    "invoiceId": "string"  }'
{  "success": true,  "statusCode": 0,  "response": "string"}
Empty
Empty